> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Offsite Audiences

> List offsite audiences.



## OpenAPI

````yaml /openapi.json get /public/v1/offsite-ads/audiences
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/offsite-ads/audiences:
    get:
      tags:
        - Offsite Ads API
      summary: List Offsite Audiences
      description: List offsite audiences.
      operationId: list_offsite_audiences
      parameters:
        - name: vendor_id
          in: query
          required: false
          schema:
            description: >-
              If specified, only shows audiences that specific vendor has access
              to.
            examples:
              - vendor_123
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            If specified, only shows audiences that specific vendor has access
            to.
        - name: dsp
          in: query
          required: false
          schema:
            description: If specified, only shows audiences synced to this DSP.
            examples:
              - google_ads
              - meta
            oneOf:
              - $ref: '#/components/schemas/Advanced_APIs_PublicDsp'
              - type: 'null'
          description: If specified, only shows audiences synced to this DSP.
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              Pagination cursor as provided in an earlier response. If provided
              will fetch the next page of results.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            Pagination cursor as provided in an earlier response. If provided
            will fetch the next page of results.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Advanced_APIs_PublicOffsiteAudiencesResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_PublicDsp:
      type: string
      enum:
        - google_ads
        - meta
      title: PublicDsp
      description: The DSP to scope the requested operation or to filter the response by.
    Advanced_APIs_PublicOffsiteAudiencesResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: >-
            Flag that indicates whether more results are available. `true`
            indicates there is a next page of results. `false` indicates  this
            response contains the last page of results.
        nextPage:
          title: Nextpage
          description: >-
            Pagination cursor. Provide this value as a `next_page` query
            parameter in a new request to retrieve the next page of results.
          examples:
            - SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo=
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
        audiences:
          items:
            $ref: '#/components/schemas/Advanced_APIs_PublicOffsiteAudience'
          type: array
          title: Audiences
          description: The list of audiences.
      type: object
      required:
        - hasMore
        - audiences
      title: PublicOffsiteAudiencesResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_PublicOffsiteAudience:
      properties:
        id:
          type: string
          title: Id
          description: >-
            The id of the audience. Use this id to use audiences in campaign
            creation
        name:
          type: string
          title: Name
          description: The name of the audience.
        description:
          title: Description
          description: The description of the audience.
          oneOf:
            - type: string
            - type: 'null'
        estimatedSize:
          title: Estimatedsize
          description: The estimated size of the audience.
          oneOf:
            - type: integer
            - type: 'null'
        estimatedSizeRange:
          description: The estimated size range of the audience.
          oneOf:
            - $ref: '#/components/schemas/Advanced_APIs_IntRange'
            - type: 'null'
        syncedDsps:
          items:
            $ref: '#/components/schemas/Advanced_APIs_PublicAudienceSyncDsp'
          type: array
          title: Synceddsps
          description: The DSPs this audience is synced to.
      type: object
      required:
        - id
        - name
      title: PublicOffsiteAudience
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Advanced_APIs_IntRange:
      properties:
        lowerBound:
          title: Lowerbound
          description: The lower bound of the size range.
          oneOf:
            - type: integer
            - type: 'null'
        upperBound:
          title: Upperbound
          description: The upper bound of the size range.
          oneOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - lowerBound
        - upperBound
      title: IntRange
    Advanced_APIs_PublicAudienceSyncDsp:
      type: string
      enum:
        - google_ads
        - meta
        - tiktok_ads
        - snapchat_ads
      title: PublicAudienceSyncDsp
      description: DSPs an offsite audience is synced to.
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````